#ifndef OPTION_HPP
#define OPTION_HPP

#include <vector>
#include <string>
#include <list>

class Option 
{
public:
  bool type;
  std::string name;
  int pos;
  std::vector<std::string> values;

  // for saving
  std::string english_name;
  std::vector<std::string> english_values;

  Option(bool t, const std::string& n, const std::string& e_n, int p, 
	 const std::vector<std::string>& v, const std::vector<std::string>& e_v);
};

#endif
