#ifndef DBAUDIOFILE_HPP
#define DBAUDIOFILE_HPP

#include "gsimplefile.hpp"
#include "audio.hpp"

class Dbaudiofile : public GSimplefile
{
public:
  std::string artist;
  std::string album;
  std::string title;
  int year;
  int bitrate;
  int length;
  int rating;
  int track;
  bool fetched;

  int db_id;

  std::string to_string() const;
  std::string short_to_string() const;
  std::string get_name_from_file_in_picture_dir() const;

  void set_values(const Dbaudiofile& s);

  Dbaudiofile();
  Dbaudiofile(const GSimplefile& s);
  // create object by looking up path in db
  Dbaudiofile(const std::string& p);
};

#endif
