#ifndef GUIRECTANGLECONTROL_HPP
#define GUIRECTANGLECONTROL_HPP

#include "guicontrol.hpp"
#include "renderer.hpp"
#include <string>

namespace pymms {

namespace gui {

class GUIRectangleControl : public GUIControl
{
  protected:
    std::string rgb;
    int r, g, b, alpha;
    Render *renderer;

    void hex_to_rgb();

  public:
    GUIRectangleControl(int x, int y, int w, int h, int l, int alpha, std::string rgb="0xffffff");
    void set_rgb(std::string rgb);
    void set_alpha(int alpha);
    void render();
};

}

}

#endif
