#ifndef MMSPYTHREAD_HPP
#define MMSPYTHREAD_HPP

#include "Python.h"
#include <cc++/thread.h>
#include <string>
#include <vector>

namespace pymms {

class MMSPyThread : public ost::Thread  
{
  public:
    MMSPyThread(void *pExecuter, PyThreadState* mainThreadState, int id);
    virtual ~MMSPyThread();
    int eval_file(std::string src);
	
  protected:
    PyThreadState *threadState;
    void *pExecuter;

    char type;
    std::string source;
    int id;

    virtual void run();
    virtual void final();
};

}

#endif
