#ifndef GUIPYWINDOW_HPP
#define GUIPYWINDOW_HPP

#include <Python.h>
#include "structmember.h"

#include "gui/guiwindow.hpp"
#include "gui/guiimagecontrol.hpp"

using namespace pymms::gui;

class GUIPYWindow : public GUIWindow
{
  private:
    GUIImageControl *default_bg;
    ost::Event action_event;
    ost::Mutex pywindow_mutex;
    std::string py_action;

  public:
    GUIPYWindow();
    virtual ~GUIPYWindow();
    
    virtual bool on_action(std::string action);
    void make_pending_call(PyObject *o);
    void wait_for_action_event();
    void pulse_action_event();
};

#endif
