#ifndef PYWONDOW_HPP
#define PYWINDOW_HPP

#include <Python.h>
#include "structmember.h"
#include "guipywindow.hpp"
#include "pycontrol.hpp"

#ifdef __cplusplus
extern "C" {
#endif

namespace pymms {

namespace python {

typedef struct {
  PyObject_HEAD
  GUIPYWindow *guiwindow;
  std::vector<Control*> controls;
  bool is_open;
} Window;

extern PyTypeObject Window_Type;

}

}

#ifdef __cplusplus
}
#endif

#endif
