#include "dxr3player.hpp"

#include "common-feature.hpp"
#include "movie_config.hpp"

using std::string;

Dxr3player::Dxr3player()
  : MoviePlayer(false, false, true, false)
{}

void Dxr3player::play_dvd(const string& device)
{
  run::exclusive_external_program(movie_conf->p_dxr3player_path() + ' ' + 
				  movie_conf->p_dxr3player_opts() + 
				  " -d '" + device + "'");
}

