#ifndef XINE_HPP
#define XINE_HPP

#include "movie_player.hpp"

class XineMovie : public MoviePlayer
{
public:
  XineMovie();

  bool wants_exclusivity() { return true; }

  void play_movie(const std::string& paths, bool window = false);
  void play_disc(const std::string& play_cmd);
  void play_vcd(const std::string& device);
  void play_dvd(const std::string& device);
};

#endif
