#ifndef APLAYER
#define APLAYER

#include "audio_player.hpp"
#include <cc++/thread.h>
#include <string>

namespace pymms {

namespace player {

class APlayer
{
  protected:
    AudioPlayer *audioplayer;
    bool audio_player_set;
    ost::Mutex audioplayer_mutex;

  public:
    APlayer();
    virtual ~APlayer() {}
    void play(std::string path, std::string name);
    void play();
    void stop();
    void pause();
    void mute();
    void volup();
    void voldown();
    bool is_playing();
};

}

}

#endif
