#ifndef VPLAYER
#define VPLAYER

#include "movie_player.hpp"
#include <cc++/thread.h>
#include <string>

namespace pymms {

namespace player {

class VPlayer
{
  protected:
    MoviePlayer *movieplayer;
    bool movie_player_set;
    ost::Mutex movieplayer_mutex;

  public:
    VPlayer();
    virtual ~VPlayer() {}
    void play(std::string path, bool window);
    void pause();
    void stop();
};

}

}

#endif
