#ifndef PYWONDOWDIALOG_HPP
#define PYWINDOWDIALOG_HPP

#include <Python.h>
#include "structmember.h"
#include "guiwindowdialogok.hpp"
#include "guiwindowdialogyesno.hpp"
#include "guiwindowdialogprogress.hpp"

#ifdef __cplusplus
extern "C" {
#endif

namespace pymms {

namespace python {

typedef struct {
  PyObject_HEAD
  std::string header;
  std::string line1;
  std::string line2;
  std::string line3;
} Dialog;

typedef struct {
  PyObject_HEAD
  std::string header;
  std::string line1;
  std::string line2;
  std::string line3;
  pymms::gui::GUIWindowDialogProgress *dialogProgress;
} DialogProgress;

extern PyTypeObject Dialog_Type;
extern PyTypeObject DialogProgress_Type;

}

}

#ifdef __cplusplus
}
#endif

#endif
