#include "cRenderer.hpp"

#include "plugin.hpp"

class UpnpPlugin : public FeaturePlugin
{
public:
  UpnpPlugin() {
    module = new cRenderer();
  }

  std::string plugin_name() const { return gettext("UPNP media renderer"); }
  int priority() const { return 5; }
  unsigned long capability() const { return 0; }
};

MMS_PLUGIN(UpnpPlugin)
