#ifndef REPLAY_DEVICE_HPP
#define REPLAY_DEVICE_HPP

#include "input.hpp"

#include <queue>

class ReplayDevice : public InputDevice
{
private:
  std::queue<std::pair<timespec, Input> > inputs;
  timespec time_start;

  void generate_search_top()
  {}
  void generate_search_input(std::string& str, std::string& lstr, Input input)
  {}

  void search_top()
  {}
  void search_input(std::string& str, std::string& lstr, Input input, int& offset, GenSearchBaseFunc *func)
  {}
  void search_graphical_input(std::string& str, std::string& lstr, Input input, 
			      int& offset, int& search_help_offset, GenSearchBaseFunc *func)
  {}

public:
  ReplayDevice();
  ~ReplayDevice() { terminate(); }

  bool init() { return true; }

  void suspend();
  void wake_up();

  void run();
};

#endif
