#ifndef THEME_HPP
#define THEME_HPP

#include "module.hpp"
#include "singleton.hpp"

class Theme : public Module
{
private:
  void print();
  std::vector<std::string> list_of_themes;
  int pos;

  std::vector<std::string> list_themes();
  void print_string_element(const std::string& r, const std::string& position, int y);

  void save();

public:

  Theme();
  ~Theme();

  Options* get_opts() 
  { return 0; }

  void startup_updater();

  void load();

  std::string cur_theme;

  std::string mainloop();
};

typedef Singleton<Theme> S_Theme;

#endif
